<div class="col-xl-12 c-alert pl-0 pr-0">
  <app-alert [message]="message" [type]="type" class="custom-alert" id="alert"></app-alert>
</div>
<div style="height: 51px; padding: 0 20px;">
  <div class="d-flex align-items-center h-100">
    <div class="d-flex w-100">
      <div class="cal-dialog-title quicksand">SCHEDULER SETTINGS</div>
    </div>
    <button mat-icon-button class="modalClosebtn"
            (click)="closeDialog()"
            style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;" aria-label="Close dialog">
      <mat-icon class="m-0">close</mat-icon>
    </button>
  </div>
</div>
<mat-divider class="mb-3"></mat-divider>
<mat-dialog-content class="m-0 pb-3" style="padding-left: 40px; padding-right: 40px;">

  <div class="row">

    <div class="col-12">

      <div [formGroup]="formGroup">

        <!-- SCHEDULER TIMEZONE -->
        <div class="col-12 app-card">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Default Scheduler View</div>
              <div class="app-card-content">
                You can set either Day view or M-F view or Week view as default scheduler view for this location.
                Whenever you login to Kavanii or whenever you refresh the Appt module, application will show the
                scheduler in this default view only.
              </div>
            </div>

            <div class="app-card-control" style="width: 198px;">
              <div class="w-100">
                <mat-form-field [appearance]="apperance" class="m-0 p-0 font-select-12" style="height: 56px;">
                  <mat-label>Scheduler View</mat-label>
                  <mat-select formControlName="schedulerView">
                    <mat-option *ngFor="let view of schedulerViews" [value]="view.value">
                      {{ view.name }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
            </div>
          </div>
        </div>

        <!-- START TIME -->
        <div class="col-12 app-card margin-20px">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Default Scheduler Grouping</div>
              <div class="app-card-content">
                You can set either Date & Practitioner or Practitioner & Date grouping as default scheduler grouping for
                this location. Whenever you login to Kavanii or whenever you refresh the Appt module, application will
                show the scheduler in this default grouping order only.
              </div>
            </div>

            <div class="app-card-control" style="width: 198px;">
              <div class="w-100">
                <mat-form-field [appearance]="apperance" class="m-0 p-0 font-select-12" style="height: 56px;">
                  <mat-label>Group By</mat-label>
                  <mat-select formControlName="groupBy">
                    <mat-option *ngFor="let group of schedulerGroups" [value]="group.value">
                      {{ group.name }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
            </div>
          </div>
        </div>

        <!-- END TIME -->
        <div class="col-12 app-card margin-20px">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Practitioner List - Custom Sort</div>
              <div class="app-card-content">
                Practitioner will be listed in scheduler based on the practitioner order in Practitioner list section.
                By Default, the Practitioner will be listed in alphabetical order in Practitioner List section. If this
                option is enabled, you can use drag and drop feature to change the order of practitioner’s in
                Practitioner list section.
              </div>
            </div>

            <div class="app-card-control">
              <kendo-switch class="small" formControlName="isCustomPractitionerSort" [onLabel]="'On'"
                            [offLabel]="'Off'"></kendo-switch>
            </div>
          </div>
        </div>

        <!-- TIME SLOT -->
        <div class="col-12 app-card margin-20px">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Show Practitioner Statistics</div>
              <div class="app-card-content">
                If enabled, whenever user mouse hover Practitioner Image in the scheduler, application will show that
                Practitioner's Appt and schedule statistics for that particular day. This option will not be available
                for M-F and Week view of Practitioner & Day grouping.
              </div>
            </div>

            <div class="app-card-control">
              <kendo-switch class="small" formControlName="isShowPractitionerStatic" [onLabel]="'On'"
                            [offLabel]="'Off'"></kendo-switch>
            </div>
          </div>
        </div>

        <!-- TIME SLOT SIZE -->
        <div class="col-12 app-card margin-20px">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Show Public Holidays</div>
              <div class="app-card-content">
                If enabled, scheduler will show if its a public holiday on a particular day in Day / M-F / Week view
                available for this location in the scheduler.
              </div>
            </div>

            <div class="app-card-control">
              <kendo-switch class="small" formControlName="isShowPublicHoliday" [onLabel]="'On'"
                            [offLabel]="'Off'"></kendo-switch>
            </div>
          </div>
        </div>

        <!-- ALLOW BOOKING OUTSIDE SCHEDULE HOURS -->
        <div class="col-12 app-card margin-20px">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Show Hour line label in 12 Hrs or 24 Hrs format</div>
              <div class="app-card-content">
                If enabled, scheduler will show the Hour line in 12 Hr format. Otherwise in 24 Hr format.
              </div>
            </div>

            <div class="app-card-control">
              <kendo-switch class="small" formControlName="isShowHourLineLabel" [onLabel]="'On'"
                            [offLabel]="'Off'"></kendo-switch>
            </div>
          </div>
        </div>

        <!-- SHOW WAITING ROOM -->
        <div class="col-12 app-card margin-20px">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Show Minutes line label</div>
              <div class="app-card-content">
                If enabled, scheduler will show the minutes line label.
              </div>
            </div>

            <div class="app-card-control">
              <kendo-switch class="small" formControlName="isShowMinutesLineLabel" [onLabel]="'On'"
                            [offLabel]="'Off'"></kendo-switch>
            </div>
          </div>
        </div>

        <!-- DOUBLE BOKING -->
        <div class="col-12 app-card margin-20px">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Show Time tooltip</div>
              <div class="app-card-content">
                If enabled, scheduler will show the time as a tooltip when you mouse hover a particular cell in the
                scheduler.
              </div>
            </div>

            <div class="app-card-control">
              <kendo-switch class="small" formControlName="isShowTimeToolTip" [onLabel]="'On'"
                            [offLabel]="'Off'"></kendo-switch>
            </div>
          </div>
        </div>

        <!-- PATIENT ONLINE BOOKING -->
        <div class="col-12 app-card margin-20px">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Show Patient Name</div>
              <div class="app-card-content">
                If enabled, application will show Patient Name in Appt block in the scheduler for this location.
                Otherwise it will just show 'Private Mode' label instead of Patient Name in the Appt block.
              </div>
            </div>

            <div class="app-card-control">
              <kendo-switch class="small" formControlName="isShowPatientName" [onLabel]="'On'"
                            [offLabel]="'Off'"></kendo-switch>
            </div>
          </div>
        </div>

        <!-- SCHEDULER COLOR -->
        <div class="col-12 app-card margin-20px">
          <div class="d-flex align-items-center w-100">

            <div class="app-card-content-wrapper">
              <div class="app-card-title">Set Completed Appt Color</div>
              <div class="app-card-content">
                You can choose the color, that will be set as the background color of the Appt block when an appt is
                completed.
              </div>
            </div>

            <div class="app-card-control">
              <kendo-colorpicker formControlName="completedApoointmentColor" format="hex"></kendo-colorpicker>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</mat-dialog-content>

<mat-divider class="mt-2"></mat-divider>
<mat-dialog-actions align="end" class="m-0" style="height: 82px; padding: 0 20px;">

  <div class="w-100 d-flex">
    <div>
      <button *appAccess="moduleName; lookFor: 'E'" mat-stroked-button color="accent" (click)="confirmReset()">Reset</button>
    </div>

    <div class="flex-fill justify-content-end">
      <button mat-stroked-button color="accent" (click)="closeDialog()">Cancel</button>
      <button *appAccess="moduleName; lookFor: ['C', 'E']" mat-raised-button color="accent" cdkFocusInitial (click)="upsertSchedulerSettings()">Save</button>
    </div>
  </div>
</mat-dialog-actions>


<!-- CONFIRM RESET SCHEDULER SETTINGS DIALOG -->
<kendo-dialog
  *ngIf="isOpenResetConfirm"
  [height]="299"
  [width]="778"
  autoFocusedElement="#nocancel">

  <div style="padding: 0 4px">
    <div class="d-flex align-items-center" style="height: 40px; min-height: 40px;">
      <div class="dialog-title text-uppercase flex-fill">
        <span>DO YOU WISH TO RESET?</span>
      </div>
      <button mat-icon-button
              class="modalClosebtn"
              (click)="isOpenResetConfirm = false;"
              style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;"
              aria-label="Close dialog">
        <mat-icon class="m-0">close</mat-icon>
      </button>
    </div>
    <mat-divider></mat-divider>

    <div class="normal_16px_font normalhelfont lightcolor"
         style="height: 141px; letter-spacing: 0.15px; padding: 20px 0; white-space: break-spaces;">
      All scheduler settings will be reset to its default state.
    </div>
    <mat-divider></mat-divider>
    <div class="text-right w-100" style="margin-top: 19px;">
      <button mat-stroked-button #btnRef="matButton" color="accent"
              class="mr-3 cancelbuttons btnheight dialog-btn"
              (click)="isOpenResetConfirm = false;" id="nocancel">
        <span>No</span>
      </button>
      <button mat-raised-button color="accent" class="btnheight dialog-btn" (click)="resetForm()">
        <span>Yes</span>
      </button>
    </div>
  </div>
</kendo-dialog>
<!-- DIALOG -->
